Skip to navigation

Update product

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

productIdstringRequired

Request

This endpoint expects an object.
namestringOptional
descriptionstringOptional
externalIdstringOptional
typeenumOptional
Allowed values:
activebooleanOptional
productCodestringOptional
ProductAttributelist of objectsOptional
Pricing attributes for this product
metadatamap from strings to anyOptional

Response

Success response
idstringformat: "uuid"
organizationIdstringformat: "uuid"
namestring
typeenum
The type of product
Allowed values:
activeboolean
externalIdstring or nullOptional
displayIdstringOptional

Human-readable display ID

descriptionstring or nullOptional
productCodestring or nullOptional
ProductAttributelist of objectsOptional
Pricing attributes for this product
metadatamap from strings to any or nullOptional
createdAtdatetimeOptional
updatedAtdatetimeOptional